Skip to content

Align lifecycle.md with SAF framing, using discussion #5 example data - #15

Closed
miqui wants to merge 1 commit into
OAI:mainfrom
miqui:lifecycle-saf-alignment
Closed

miqui wants to merge 1 commit into
OAI:mainfrom
miqui:lifecycle-saf-alignment

Conversation

@miqui

@miqui miqui commented Sep 13, 2026 •

Copy link
Copy Markdown

Summary

  • Restructures the Lifecycle Object around the operation-scoped deprecation/sunset model that discussion proposal:OpenAPI 3.3 Proposal: API-Level Deprecation & Sunset Support #5 converged on from April 2026 onward, superseding the earlier root-level, document-wide draft explored earlier in that thread.
  • Places the object under features on the Operation Object, consistent with the Standardized API Feature (SAF) concept being worked out in Standardized API Features (SAFs) OpenAPI-Specification#5310 and #5350 (features field as the SAF namespace, per-SAF versioning).
  • Fills in previously-TODO sections: Introduction, Relationship to the OpenAPI Specification, Definitions (Lifecycle Object, Sunset Object), and Appendix A revision history.
  • Adds two new informative sections: a Header Mapping table (field → Deprecation/Sunset/Link header, per RFC 9745, RFC 8594, RFC 8288) and an Appendix B on AI agent/MCP tooling usage, both drawn from the discussion's worked examples.
  • Supersedes miqui/sig-lifecycle#1, an earlier attempt built on the pre-April structure (deprecation/sunset as siblings under a document-root features.lifecycle); that PR has been closed in favor of this one.

Test plan

  • yarn validate-markdown (markdownlint + hyperlink check) passes
  • yarn build-src builds lifecycle.md to HTML with no new errors (one pre-existing, unrelated warning about a missing conformance section, confirmed via git stash to predate this change)

🤖 Generated with Claude Code

Restructures the Lifecycle Object around the operation-scoped
deprecation/sunset model from discussion #5's April 2026+ comments
(the root-level, document-wide draft from earlier in the thread is
superseded) and places it under `features` on the Operation Object,
consistent with the Standardized API Feature (SAF) concept being
defined in OAI/OpenAPI-Specification#5310 and #5350.

Fills in the Introduction, Relationship to the OpenAPI Specification,
Definitions (Lifecycle Object, Sunset Object), a new informative
Header Mapping section (field -> Deprecation/Sunset/Link header
mapping per RFC 9745, RFC 8594, RFC 8288), Appendix A revision
history, and a new informative Appendix B on AI agent/MCP tooling
usage.

Co-Authored-By: Claude Sonnet 5 <noreply@anthropic.com>
Claude-Session: https://claude.ai/code/session_01YAmP3nFaRwCARS7JygrV7r
@miqui

miqui commented Sep 13, 2026

Copy link
Copy Markdown
Author

Opened against the wrong base — this should target my fork (miqui/sig-lifecycle), not upstream. Reopening as miqui#2.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment

Labels

None yet

Projects

None yet

Development

Successfully merging this pull request may close these issues.

1 participant